Reviews
Query parameters
authorUserKeystringRequired
subjectUserKeystringRequired
Responses
200
Successful response
application/json
integer · min: -9007199254740991 · max: 9007199254740991Optional
400
Invalid input data
application/json
404
Not found
application/json
500
Internal server error
application/json
get/reviews/count/between
GET /api/v2/reviews/count/between?authorUserKey=text&subjectUserKey=text HTTP/1.1
Host: api.ethos.network
Accept: */*
1Query parameters
authorUserKeystringRequired
subjectUserKeystringRequired
excludeLinkedToVouchbooleanOptional
Responses
200
Successful response
application/json
objectOptional
400
Invalid input data
application/json
404
Not found
application/json
500
Internal server error
application/json
get/reviews/latest/between
GET /api/v2/reviews/latest/between?authorUserKey=text&subjectUserKey=text HTTP/1.1
Host: api.ethos.network
Accept: */*
{}Query parameters
batchIdstring · uuidRequiredPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Responses
200
Successful response
application/json
reviewIdinteger · min: -9007199254740991 · max: 9007199254740991 · nullableRequired
400
Invalid input data
application/json
404
Not found
application/json
500
Internal server error
application/json
get/reviews/id-by-batch
GET /api/v2/reviews/id-by-batch?batchId=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.ethos.network
Accept: */*
{
"reviewId": 1
}Last updated